package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.Rtu;
import com.ruoyi.predict.mapper.RtuMapper;
import com.ruoyi.predict.service.IRtuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * RtuService业务层处理
 *
 * @author hlf
 * @date 2022-01-10
 */
@Service
public class RtuServiceImpl implements IRtuService {
    @Autowired(required = false)
    private RtuMapper rtuMapper;

    /**
     * 查询Rtu
     *
     * @param rtuNo RtuID
     * @return Rtu
     */
    @Override
    public Rtu selectRtuById(Long rtuNo) {
        return rtuMapper.selectRtuById(rtuNo);
    }

    /**
     * 查询Rtu列表
     *
     * @param rtu Rtu
     * @return Rtu
     */
    @Override
    public List<Rtu> selectRtuList(Rtu rtu) {
        return rtuMapper.selectRtuList(rtu);
    }

    /**
     * 新增Rtu
     *
     * @param rtu Rtu
     * @return 结果
     */
    @Override
    public int insertRtu(Rtu rtu) {
        return rtuMapper.insertRtu(rtu);
    }

    /**
     * 修改Rtu
     *
     * @param rtu Rtu
     * @return 结果
     */
    @Override
    public int updateRtu(Rtu rtu) {
        return rtuMapper.updateRtu(rtu);
    }

    /**
     * 删除Rtu信息
     *
     * @param rtuNo RtuID
     * @return 结果
     */
    @Override
    public int deleteRtuById(Long rtuNo) {
        return rtuMapper.deleteRtuById(rtuNo);
    }
}
